vsgImGui: ImFontAtlas Struct Reference

vsgImGui 0.7.0 VulkanSceneGraph, ImGui and ImPlot integration library

Loading...
Searching...
No Matches
ImFontAtlas Struct Reference
Collaboration diagram for ImFontAtlas:
[legend]

## Public Member Functions
IMGUI_API ImFont * | AddFont (const ImFontConfig *font_cfg)
IMGUI_API ImFont * | AddFontDefault (const ImFontConfig *font_cfg=NULL)
IMGUI_API ImFont * | AddFontFromFileTTF (const char *filename, float size_pixels, const ImFontConfig *font_cfg=NULL, const ImWchar *glyph_ranges=NULL)
IMGUI_API ImFont * | AddFontFromMemoryTTF (void *font_data, int font_data_size, float size_pixels, const ImFontConfig *font_cfg=NULL, const ImWchar *glyph_ranges=NULL)
IMGUI_API ImFont * | AddFontFromMemoryCompressedTTF (const void *compressed_font_data, int compressed_font_data_size, float size_pixels, const ImFontConfig *font_cfg=NULL, const ImWchar *glyph_ranges=NULL)
IMGUI_API ImFont * | AddFontFromMemoryCompressedBase85TTF (const char *compressed_font_data_base85, float size_pixels, const ImFontConfig *font_cfg=NULL, const ImWchar *glyph_ranges=NULL)
IMGUI_API void | ClearInputData ()
IMGUI_API void | ClearTexData ()
IMGUI_API void | ClearFonts ()
IMGUI_API void | Clear ()
IMGUI_API bool | Build ()
IMGUI_API void | GetTexDataAsAlpha8 (unsigned char **out_pixels, int *out_width, int *out_height, int *out_bytes_per_pixel=NULL)
IMGUI_API void | GetTexDataAsRGBA32 (unsigned char **out_pixels, int *out_width, int *out_height, int *out_bytes_per_pixel=NULL)
bool | IsBuilt () const
void | SetTexID (ImTextureID id)
IMGUI_API const ImWchar * | GetGlyphRangesDefault ()
IMGUI_API const ImWchar * | GetGlyphRangesGreek ()
IMGUI_API const ImWchar * | GetGlyphRangesKorean ()
IMGUI_API const ImWchar * | GetGlyphRangesJapanese ()
IMGUI_API const ImWchar * | GetGlyphRangesChineseFull ()
IMGUI_API const ImWchar * | GetGlyphRangesChineseSimplifiedCommon ()
IMGUI_API const ImWchar * | GetGlyphRangesCyrillic ()
IMGUI_API const ImWchar * | GetGlyphRangesThai ()
IMGUI_API const ImWchar * | GetGlyphRangesVietnamese ()
IMGUI_API int | AddCustomRectRegular (int width, int height)
IMGUI_API int | AddCustomRectFontGlyph (ImFont *font, ImWchar id, int width, int height, float advance_x, const ImVec2 &offset=ImVec2(0, 0))
ImFontAtlasCustomRect * | GetCustomRectByIndex (int index)
IMGUI_API void | CalcCustomRectUV (const ImFontAtlasCustomRect *rect, ImVec2 *out_uv_min, ImVec2 *out_uv_max) const
IMGUI_API bool | GetMouseCursorTexData (ImGuiMouseCursor cursor, ImVec2 *out_offset, ImVec2 *out_size, ImVec2 out_uv_border[2], ImVec2 out_uv_fill[2])

## Public Attributes
ImFontAtlasFlags | Flags
ImTextureID | TexID
int | TexDesiredWidth
int | TexGlyphPadding
bool | Locked
void * | UserData
bool | TexReady
bool | TexPixelsUseColors
unsigned char * | TexPixelsAlpha8
unsigned int * | TexPixelsRGBA32
int | TexWidth
int | TexHeight
ImVec2 | TexUvScale
ImVec2 | TexUvWhitePixel
ImVector< ImFont * > | Fonts
ImVector< ImFontAtlasCustomRect > | CustomRects
ImVector< ImFontConfig > | ConfigData
ImVec4 | TexUvLines [IM_DRAWLIST_TEX_LINES_WIDTH_MAX+1]
const ImFontBuilderIO * | FontBuilderIO
unsigned int | FontBuilderFlags
int | PackIdMouseCursors
int | PackIdLines

The documentation for this struct was generated from the following file:

- include/vsgImGui/imgui.h